.TH PRTOPS 1 ""
.SH NAME
prtops \- Cambridge Text to PostScript Translator

.SH SYNOPSIS

.B prtops
[
.B \-p
.I commands
] [
.I filename .\|.\|.
]
.SH DESCRIPTION

.B prtops
is a program for converting plain-text files, which may contain carriage
control characters, into POSTSCRIPT form suitable for sending to an Apple
LaserWriter. A number of options are provided allowing the user to alter the
size and layout of the resulting document pages.  A full specification of the
program can be found in the file /usr/local/info/prtops.

.B prtops
concatenates the input
.I filenames
in the order given, and outputs a PostScript file to the standard output, which
can subsequently sent to a PostScript printer to print the concatenated
text.

If no filename arguments are given, the input text is taken from the standard
input. If the standard input is a terminal, input is terminated by an EOF
signal, usually CTRL-D.

If one of the filename arguments is specified as `-', then text will be read
from the standard input at that point in the concatenation.

.SH OPTIONS
.TP
.B \-p
specifies a string of options to be use when printing and laying out the
text.

.SH USAGE

An option string consists of a number of items separated by
semicolons. Spaces are ignored except that they serve to
delimit words or numbers. Each item consists of an option name
possibly followed by a number of values. Option names consist
of letters and/or digits, the first of which must be a letter.

Upper and lower case letters are synonymous. Values following
option names may be separated from them by an equals sign or
simply a space. For example:

 fount="Helvetica";landscape
 A4toA5;side=60;head=36
 fsize 6; lspace 7

.B Options Available

The options available to modify the appearance of the final
document are as follows.

.B Font
: This is followed by a string enclosed in matching single
or double quotes, and specifies the name of the fount on the
output device that the document is to be printed in. If a
proportionally spaced fount is chosen, then the relative
layout and length of lines will differ from a line-printer
listing of the original document. To preserve the line-printer
appearance of a document a monospaced fount, such as "Courier"
(the default), should be used. Fount may be used as a synonym
for font.

.B Fsize
: This is followed by an integer specifying the size, in
points, of the fount used to print the document. Here and
elsewhere in this specification, a point is taken to be 1/72nd
of an inch. The default fount size used is 10pt.

.B Lspace
: This is followed by an integer specifying the line
spacing, in points, between lines in the document. The
distance is taken to be that between the character base-lines
of consecutive lines of text. The default line spacing is
12pt.

.B Side
: This is followed by an integer specifying the width, in
points, of the side margins of each page of text. The default
side margin is 56pt. Note that, reducing the margin below
approximately 18pt may result in the edges of the text being
clipped, as the LaserWriter will not image parts of the page
within about 1/4 inch of the edge.

.B Head
: This is followed by an integer specifying the depth, in
points, of the top and bottom margins of each text page. The
default margin is 56pt. Similar remarks apply to very narrow
margins as were given for the side option.

.B Landscape
: This option specifies that the pages of the
document are to be printed in landscape orientation. The left,
right top and bottom margins are considered to be relative to
the reading direction of the text on the page, and so, in
landscape orientation, they are rotated along with the text.

.B Portrait
: This option specifies that the pages of the document
are to be printed in portrait orientation (the default).

.B A4toA5
: This option specifies that the document pages are to
be made up as though intended for A4 sheets, but are then to
be reduced to A5 and two such pages printed sideways on each
actual A4 sheet. The reduction takes place after the other
page options have taken effect. So, the fount size, line
spacing, margin dimensions and orientation all refer to the A4
page before it is reduced to A5, not to the actual physical
attributes of the A5 pages.

.B A4
: This option specifies that the document pages are to be
made up for printing on A4 sheets (the default).

.SH EXAMPLES

.nf
.B prtops
.B prtops text
.B prtops text > pscript
.B 
prtops -p 'landscape;lspace=12' text1 text2 > pscript
.B 
prtops -p 'a4toa5 fount "Times-Roman" fsize=8' | lpr 
.fi

.SH SEE ALSO

.B psf(1)

.I /usr/local/info/prtops
